ConfigurationParseException (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.spring.ConfigurationParseException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.spring
Class ConfigurationParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.beans.BeansException
                          org.codehaus.activemq.spring.ConfigurationParseException

All Implemented Interfaces:
  Serializable

public class ConfigurationParseException
extends org.springframework.beans.BeansException

An exception that is thrown if a configuration resource could not be parsed.

Version:
  $Revision: 1.1 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.RuntimeException
``

Constructor Summary
`ConfigurationParseException(org.springframework.core.io.Resource resource, Throwable e)`

Method Summary
`org.springframework.core.io.Resource` | `getResource()`

Methods inherited from class org.springframework.core.NestedRuntimeException
`getCause, getMessage, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigurationParseException

    public ConfigurationParseException(org.springframework.core.io.Resource resource,
                                       Throwable e)

Method Detail

### getResource

    public org.springframework.core.io.Resource getResource()

  Returns:
    the resource that was being parsed when the exception ocurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.